- @suppress_diff ||= @suppress_diff || @force_suppress_diff
- if @suppress_diff
  .alert.alert-warning
    %p
      %strong
        = t("projects_section.commits.warning_large_diff")
    %p
      = t("projects_section.commits.diff_not_shown_for_performance")
      - if current_controller?(:commit) or current_controller?(:merge_requests)
        - if current_controller?(:commit)
          = t("projects_section.commits.download_diff_as")
          = link_to t("projects_section.commits.plain_diff"), project_commit_path(@project, @commit, format: :diff), class: "underlined-link"
          = t("projects_section.commits.or")
          = link_to t("projects_section.commits.email_patch"), project_commit_path(@project, @commit, format: :patch), class: "underlined-link"
          = t("projects_section.commits.instead")
        - elsif @merge_request && @merge_request.persisted?
          = t("projects_section.commits.download_diff_as")
          = link_to t("projects_section.commits.plain_diff"), project_merge_request_path(@project, @merge_request, format: :diff), class: "underlined-link"
          = t("projects_section.commits.or")
          = link_to t("projects_section.commits.email_patch"), project_merge_request_path(@project, @merge_request, format: :patch), class: "underlined-link"
          = t("projects_section.commits.instead")
    - unless @force_suppress_diff
      %p
        = t("projects_section.commits.still_want_diff")
        = link_to t("projects_section.commits.click_this_link"), url_for(force_show_diff: true), class: "underlined-link"

%p.commit-stat-summary
  = t("projects_section.commits.showing")
  %strong.cdark
    = t("projects_section.commits.changed_file", count: diffs.count)
  - if current_controller?(:commit)
    - unless @commit.has_zero_stats?
      = t("projects_section.commits.with")
      %strong.cgreen
        = t("projects_section.commits.additions", count: @commit.stats.additions)
      = t("projects_section.commits.and")
      %strong.cred
        = t("projects_section.commits.deletions", count: @commit.stats.deletions)
  - if params[:view] == 'parallel'
    = link_to t("projects_section.commits.inline_diff"), url_for(view: 'inline'), {id: "commit-diff-viewtype", class: 'btn btn-tiny pull-right'}
  - else
    = link_to t("projects_section.commits.side_by_side_diff"), url_for(view: 'parallel'), {id: "commit-diff-viewtype", class: 'btn btn-tiny pull-right'}
.file-stats
  = render "projects/commits/diff_head", diffs: diffs

.files
  - unless @suppress_diff
    - diffs.each_with_index do |diff, i|
      - file = project.repository.blob_at(@commit.id, diff.new_path)
      - file = project.repository.blob_at(@commit.parent_id, diff.old_path) unless file
      - next unless file
      .diff-file.js-toggle-container{id: "diff-#{i}"}
        .diff-header{id: "file-path-#{hexdigest(diff.new_path || diff.old_path)}"}
          - if diff.deleted_file
            %span= diff.old_path

            .diff-btn-group
              - if @commit.parent_ids.present?
                = link_to project_blob_path(project, tree_join(@commit.parent_id, diff.new_path)), { class: 'btn btn-small view-file' } do
                  = t("projects_section.commits.view_file_at")
                  %span.commit-short-id= @commit.short_id(6)
          - else
            %span= diff.new_path
            - if diff_file_mode_changed?(diff)
              %span.file-mode= "#{diff.a_mode} → #{diff.b_mode}"

            .diff-btn-group
              = link_to "#", class: "js-toggle-button btn btn-small" do
                %i.icon-chevron-down
                = t("projects_section.commits.diff_comments")
              &nbsp;

              - if @merge_request && @merge_request.source_project
                = link_to project_edit_tree_path(@merge_request.source_project, tree_join(@merge_request.source_branch, diff.new_path), from_merge_request_id: @merge_request.id), { class: 'btn btn-small' } do
                  = t("projects_section.commits.edit")
                &nbsp;

              = link_to project_blob_path(project, tree_join(@commit.id, diff.new_path)), { class: 'btn btn-small view-file' } do
                = t("projects_section.commits.view_file_at")
                %span.commit-short-id= @commit.short_id(6)


        .diff-content
          -# Skipp all non non-supported blobs
          - next unless file.respond_to?('text?')
          - if file.text?
            - if params[:view] == 'parallel'
              = render "projects/commits/parallel_view", diff: diff, project: project, file: file, index: i
            - else
              = render "projects/commits/text_file", diff: diff, index: i
          - elsif file.image?
            - old_file = project.repository.blob_at(@commit.parent_id, diff.old_path) if @commit.parent_id
            = render "projects/commits/image", diff: diff, old_file: old_file, file: file, index: i
          - else
            .nothing-here-block
              = t("projects_section.commits.no_preview_for_file_type")
